<!--
Copyright (C) 2022 Intel Corporation 
SPDX-License-Identifier: MIT
-->

Intel® Query Processing Library (Intel® QPL) Beta
=================================================


The Intel® Query Processing Library (Intel® QPL) is an open-source library to provide
high-performance query processing operations on Intel CPUs. Intel® QPL is aimed to support 
capabilities of the new Intel® In-Memory Analytics Accelerator (Intel® IAA) available on Next
Generation Intel® Xeon® Scalable processors, codenamed Sapphire Rapids processor, such as very high
throughput compression and decompression combined with primitive analytic functions, as well as to
provide highly-optimized SW fallback on other Intel CPUs. Intel QPL primarily targets applications
such as big-data and in-memory analytic databases.


## Get Started

To set up and build the Intel QPL library, follow instructions below:

1. Make sure your system meets all [System Requirements](https://intel.github.io/qpl/documentation/introduction_docs/system_requirements.html).
2. Follow instructions to build the library. See [Installation](https://intel.github.io/qpl/documentation/get_started_docs/installation.html) for more details.


## Documentation

Documentation is delivered using GitHub Pages. See full Intel QPL [online documentation](https://intel.github.io/qpl/index.html).

>**Note:** The library is in beta state and its APIs may change as the library is actively developed.

To report a security issue, refer to the [security documentation](SECURITY.md).

**Offline Documentation**

To build Intel QPL offline documentation, see the [Documentation Build Prerequisites](https://intel.github.io/qpl/documentation/get_started_docs/installation.html#documentation-build-prerequisites) chapter.


## Testing

See [Intel QPL Testing](https://intel.github.io/qpl/documentation/get_started_docs/testing.html) chapter for details about testing process.

## How to Contribute

See [Contributing document](CONTRIBUTING.md) for details about contribution process.

## How to Report Issues

See [Issue Reporting](https://intel.github.io/qpl/documentation/introduction_docs/issue_reporting.html) chapter for details about issue reporting process.

## License

The library is licensed under the MIT license. Refer to the
"[LICENSE](LICENSE)" file for the full license text.

This distribution includes third party software governed by separate license
terms (see "[THIRD-PARTY-PROGRAMS](third-party-programs.txt)").
